'' 
'' このコードは、https://demo.mescius.jp/diodocs/pdf のサンプルの一部として提供されています。
'' © MESCIUS inc. All rights reserved.
'' 
Imports System.IO
Imports System.Drawing
Imports System.Text.RegularExpressions
Imports GrapeCity.Documents.Pdf
Imports GrapeCity.Documents.Pdf.Annotations
Imports GrapeCity.Documents.Pdf.TextMap
Imports GrapeCity.Documents.Pdf.AcroForms

'' このサンプルは、GcPdfDocument.Redact() メソッドの使用法を示します。
'' SlidePages サンプルによって生成された PDF をロードし、
'' 最初のページに墨消し注釈を作成して適用します。
Public Class RedactArea
    Function CreatePDF(ByVal stream As Stream) As Integer
        Dim doc = New GcPdfDocument()
        Using fs = New FileStream(Path.Combine("Resources", "PDFs", "SlidePages.pdf"), FileMode.Open, FileAccess.Read)
            '' 墨消し注釈（墨消し用にマークされた領域）を含む PDF をロードします。
            doc.Load(fs)

            Dim rc = New RectangleF(16, 16, 280, 300)

            Dim redact = New RedactAnnotation() With
                {
                    .Rect = rc,
                    .Page = doc.Pages(0),
                    .OverlayText = "このコンテンツは墨消しされています。",
                    .OverlayFillColor = Color.PaleGoldenrod
                }

            '' 墨消しを適用します。
            doc.Redact(redact)

            '' doc.Pages(0).Graphics.DrawRectangle(rc, Color.Red)

            '' PDF ドキュメントを保存します。
            doc.Save(stream)
            Return doc.Pages.Count
        End Using
    End Function
End Class
